#ifndef ENTITY_H
#define ENTITY_H

#include "glm/mat4x4.hpp"

class Mesh;
class Material;
class Shader;

class Entity
{
protected:
    Entity* parent;
    Mesh* mesh;
    Material* mat;
    glm::mat4 modelMatrix;
public:
    Entity(Entity* myParent, Mesh* myMesh, Material* myMat) : parent(myParent), mesh(myMesh), mat(myMat) {}
    virtual void draw(const glm::mat4 viewMatrix, const glm::mat4 projectionMatrix);
    Shader* getShader();
};

#endif // ENTITY_H
