#ifndef PHONGMATERIAL_H
#define PHONGMATERIAL_H

#include "material.h"
#include "glm/vec3.hpp"

class Texture;

class PhongMaterial : public Material
{
    glm::vec3 kd;
    glm::vec3 ks;
    float ns;
    Texture* tex;
public:
    PhongMaterial(Shader* myShader) : Material(myShader), kd(0.5f), ks(0.5f), ns(10), tex(NULL) {}
    PhongMaterial(Shader* myShader, glm::vec3 myKd, glm::vec3 myKs, float myNs) : Material(myShader), kd(myKd), ks(myKs), ns(myNs), tex(NULL) {}
    virtual void bindAttributes();

    void setTexture(Texture* myTexture);
};

#endif // PHONGMATERIAL_H
